InvalidResourceRequestException.InvalidResourceType (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.exceptions, class: InvalidResourceRequestException, enum: InvalidResourceType

Package org.apache.hadoop.yarn.exceptions

# Enum Class InvalidResourceRequestException.InvalidResourceType

java.lang.Object
java.lang.Enum<InvalidResourceRequestException.InvalidResourceType>
org.apache.hadoop.yarn.exceptions.InvalidResourceRequestException.InvalidResourceType

All Implemented Interfaces:
  `Serializable`, `Comparable<InvalidResourceRequestException.InvalidResourceType>`, `Constable`

Enclosing class:
  org.apache.hadoop.yarn.exceptions.InvalidResourceRequestException

public static enum InvalidResourceRequestException.InvalidResourceType extends Enum<InvalidResourceRequestException.InvalidResourceType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `GREATER_THEN_MAX_ALLOCATION`
  `LESS_THAN_ZERO`
  `UNKNOWN`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static InvalidResourceRequestException.InvalidResourceType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static InvalidResourceRequestException.InvalidResourceType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LESS_THAN_ZERO

    public static final InvalidResourceRequestException.InvalidResourceType LESS_THAN_ZERO

  - ### GREATER_THEN_MAX_ALLOCATION

    public static final InvalidResourceRequestException.InvalidResourceType GREATER_THEN_MAX_ALLOCATION

  - ### UNKNOWN

    public static final InvalidResourceRequestException.InvalidResourceType UNKNOWN

- ## Method Details

  - ### values

    public static InvalidResourceRequestException.InvalidResourceType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static InvalidResourceRequestException.InvalidResourceType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null